createConversation
Creates a new Conversation. When creating a new Conversation, the required tags must be provided. See the specific integration for more details.
POST
/v1/chat/conversationsAuthorization
AuthorizationBearerBearer authentication header of the form Bearer <token>, where <token> is your auth token.
Header parameters
x-bp-authenticated-principalstringAuthenticated principal. Injected by the authentication middleware.
x-bot-idstringBot id
x-integration-id?stringIntegration id
x-integration-alias?stringIntegration alias
Request body
Conversation data
channelstringChannel name(max length: 200)
tagsobjectTags for the Conversation
integrationName?stringdeprecated[DEPRECATED] To create a conversation from within a bot, call an action of the integration instead.(max length: 200)
properties?object**EXPERIMENTAL** - Optional shared properties that can be accessed and modified by both the bot and any of its integrations.
Response
Returns a Conversation object if creation succeeds. Returns an error otherwise
conversationobjectThe Conversation object represents an exchange of messages between one or more users. A Conversation is always linked to an integration's channels. For example, a Slack channel represents a conversation.